%define binname	quickusbformatter
%define beta	preview
%define commit	1622737

Name:		quick-usb-formatter
Version:	0.6
Release:	%mkrel -c %{beta} 2
Summary:	A small KDE4 application to format usb sticks and devices
Group:		Graphical desktop/KDE
License:	LGPLv2+
URL:		http://gitorious.org/chakra/quick-usb-formatter
# wget http://git.chakraos.org/quick-usb-formatter.git/snapshot/master.tar.gz -O %%{name}-%%{version}-%%{beta}.tar.gz
Source0:	%{name}-%{version}-%{beta}.tar.gz
Patch0:		%{name}-0.5-rosa-l10n-ru.patch

BuildRequires:	cmake
BuildRequires:	kde4-macros
BuildRequires:	kdelibs4-devel
BuildRequires:	gettext

Requires:	ntfs-3g
Requires:	f2fs-tools
Requires:	dosfstools
Requires:	e2fsprogs
# as it is in tainted repo
Recommends:	exfat-utils

%description
Quick-Usb-Formatter is a tiny app designed for enhance the usability of the
device notifier, an additional option for quick format usb sticks.

%prep
%setup -q -n %{name}-%{commit}
%autopatch -p1

chmod 0755 %{binname}.desktop

%build
%cmake_kde4
%make_build

%install
%make_install -C build

# Plasma 5 support
mkdir -p %{buildroot}%{_datadir}/solid/actions
cp -pr %{buildroot}%{_kde_appsdir}/solid/actions/%{binname}_solid.desktop %{buildroot}%{_datadir}/solid/actions/

%find_lang %{binname}

%files -f %{binname}.lang
%doc README.txt
%{_kde_bindir}/%{binname}
%{_kde_appsdir}/solid/actions/%{binname}_solid.desktop
%{_kde_applicationsdir}/%{binname}.desktop
%{_kde_libdir}/kde4/libexec/helper
%config(noreplace) %{_kde_sysconfdir}/dbus-1/system.d/org.kde.auth.quf.conf
%{_datadir}/dbus-1/system-services/org.kde.auth.quf.service
%{_datadir}/polkit-1/actions/org.kde.auth.quf.policy
%{_datadir}/solid/actions/%{binname}_solid.desktop


%changelog
* Sat Jan 14 2017 daviddavid <daviddavid> 0.6-0.preview.2.mga6
+ Revision: 1081571
- adapt for Plasma 5

* Wed Jan 13 2016 daviddavid <daviddavid> 0.6-0.preview.1.mga6
+ Revision: 922420
- new version: 0.6-preview

* Wed Oct 15 2014 umeabot <umeabot> 0.5-0.preview.3.mga5
+ Revision: 745415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-0.preview.2.mga5
+ Revision: 688581
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 akien <akien> 0.5-0.preview.1.mga5
+ Revision: 595181
- Use %%apply_patches macro

  + david-david <david-david>
    - imported package quick-usb-formatter

